javax.persistence

## Annotation Type Access

    @Target(value={TYPE,METHOD,FIELD})
     @Retention(value=RUNTIME)
    public @interface Access

Used to specify an access type to be applied to an entity class, mapped superclass, or embeddable class, or to a specific attribute of such a class.

Since:
  Java Persistence 2.0

### Required Element Summary

Required Elements
`AccessType` `value` (Required) Specification of field- or property-based access.

### Element Detail

#### value

    public abstract AccessType value

(Required) Specification of field- or property-based access.